Is it possible to use Filebeat 6.0 with ES Cluster 5.x?


(Denis Gladkikh) #1

Filebeat has a lot of great features. Is the output of filebeat compatible with ES Cluster 5.x? Including mapping, kibana dashboards, etc?

This page does not have 6.0 yet https://www.elastic.co/support/matrix#show_compatibility


(Andrew Kroh) #2

Filebeat will detect that it's communicating to ES 5.x and use the appropriate index template. I think some of the new Filebeat modules have dashboards that only work with 6.x. But I'm not 100% certain on the dashboards b/c I haven't tried it.


(system) #3

This topic was automatically closed after 21 days. New replies are no longer allowed.